<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}

$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=1;


include("../conex.php");
include("../autoriza.php");
if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}		

$lstem=$_POST["lstem"];
$nombre = $_POST["nombre"];
$pass = $_POST["pass"];
$pass = md5($pass);
$cont=0;
$sql_busca = "SELECT * FROM usuarios WHERE user = '$nombre'";
$res_busca =  mysql_query($sql_busca, $enlace);		
while (mysql_fetch_object ($res_busca))
	{
	$cont+=1;
	}

if ($cont==0){
	$psql = "INSERT INTO usuarios (user, clave, id_empresa) VALUES ('$nombre', '$pass', $lstem)";
	$consulta = mysql_query($psql,$enlace);
	
	$sql_ultimo = "SELECT id FROM usuarios WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$sultimo_id = mysql_result($res_ultimo, 0, "id");
	
	$psql = "INSERT INTO usuario_empresa (id_usuario, id_empresa) VALUES ($sultimo_id, $lstem)";
	$consulta = mysql_query($psql,$enlace);
?>
<script language="javascript" type="text/javascript">
alert ("Usuario <?=$nombre.'\nCreado Con Exito!';?>");
parent.location.href = '';
</script>
<?
	} else {
?>
<script language="javascript" type="text/javascript">
alert ("El usuario <?=$nombre.'\nya exite!';?>");
parent.location.href = '';
</script>
<?
	} 
?>